ATI-videokaarten ondervinden met het spel. Vorige week bleek dat The Saboteur met veel ATI-kaarten niet of nauwelijks speelbaar is. Hoewel de problemen na het installeren van de patch opgelost moeten zijn, waarschuwt EA dat de update nog niet volledig getest is en prestatieproblemen zou kunnen veroorzaken met Quad core-processoren. Via een forum laat de uitgever weten hoe dit nieuwe probleem handmatig voor een deel kan worden opgelost. "Hoewel dit het aantal fouten vermindert, is het geen waterdichte oplossing", aldus de uitgever. Ontwikkelaar Pandemic en Electronic Arts geven aan verder te werken aan nieuwe patches, om zoveel mogelijk problemen op te lossen.